Bug 1565814 - HostMonitoring should release lock only once
Summary: HostMonitoring should release lock only once
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm-jsonrpc-java
Classification: oVirt
Component: Core
Version: 1.4.11
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ovirt-4.2.3
: ---
Assignee: Ravi Nori
QA Contact: Pavol Brilla
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 20:14 UTC by Ravi Nori
Modified: 2018-06-21 12:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-10 06:32:54 UTC
oVirt Team: Infra
rule-engine: ovirt-4.2+
rule-engine: blocker+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 90189 master MERGED Don't retry async calls on connection error 2018-04-13 11:33:09 UTC
oVirt gerrit 90261 master MERGED jsonrpc: verison bump 2018-04-13 18:45:13 UTC
oVirt gerrit 90265 ovirt-engine-4.2 MERGED jsonrpc: verison bump 2018-04-15 12:26:20 UTC

Description Ravi Nori 2018-04-10 20:14:59 UTC
HostMonitoring changes does not keep track if the lock has already been released due to exceptions in Async calls.

A subsequent failure from jsonrpc code can trigger a onFailure call on the Async callback which releases the lock again.

The lock should only be released once.

Comment 1 Yaniv Kaul 2018-04-11 06:34:41 UTC
Severity?

Comment 2 Red Hat Bugzilla Rules Engine 2018-04-12 13:42:02 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 3 Lukas Svaty 2018-04-16 06:35:52 UTC
Can you please provide verification steps?

Comment 4 Ravi Nori 2018-04-16 12:41:49 UTC
Have a setup with at least one host

1. take the host off line either by shutting down the network on vdsm or taking the host down
2. wait for the host to be non operational
3. Turn it back on
4. Wait for the host to be Up

The log file should not have any error messages related to releasing a non existing lock, "Trying to release exclusive lock which does not exist".

Comment 5 Dan Kenigsberg 2018-04-17 11:50:00 UTC
(In reply to Lukas Svaty from comment #3)
> Can you please provide verification steps?

Also, make sure that 006_migrations.prepare_migration_attachments_ipv6 is passing in OST (e.g https://gerrit.ovirt.org/#/c/90264/ ) or that a separate bug tracks the remaining issues there.

Comment 6 Pavol Brilla 2018-04-19 14:21:47 UTC
After upgrade to software Version:4.2.3.2-0.1.el7

"Trying to release exclusive lock which does not exist" stop appearing in engine.log

Comment 7 Dan Kenigsberg 2018-04-24 12:18:29 UTC
(In reply to Dan Kenigsberg from comment #5)
> (In reply to Lukas Svaty from comment #3)
> > Can you please provide verification steps?
> 
> Also, make sure that 006_migrations.prepare_migration_attachments_ipv6 is
> passing in OST (e.g https://gerrit.ovirt.org/#/c/90264/ ) or that a separate
> bug tracks the remaining issues there.

Pavol, have you noticed my request above?

Comment 8 Sandro Bonazzola 2018-05-10 06:32:54 UTC
This bugzilla is included in oVirt 4.2.3 release, published on May 4th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.3 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.